# Uses of Class
net.sf.statcvs.reportmodel.Column

Packages that use Column
Package
Description
net.sf.statcvs.reportmodel

## Uses of Column in net.sf.statcvs.reportmodel

Subclasses of Column in net.sf.statcvs.reportmodel
Modifier and Type
Class
Description
`class`
`AuthorColumn`
A table column containing author names
`class`
`AuthorIdColumn`
A table column containing author names
`class`
`DirectoryColumn`
A table column containing directories
`class`
`FileColumn`
A table column containing files
`class`
`GenericColumn`
A generic column with a text header and a text total.
`class`
`IntegerColumn`
A column of integer values.
`class`
`LinkColumn`
`class`
`RatioColumn`
A column showing the ratio between two `IntegerColumn`s.
`class`
`SimpleTextColumn`
A generic text column without any special behaviour.
Methods in net.sf.statcvs.reportmodel with parameters of type Column
Modifier and Type
Method
Description
`void`
Table.`addColumn(Column column)`
Adds a column to the table